#
# spec file for package libapr-util1 (Version 1.2.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  cyrus-sasl2-devel db-devel doxygen expat libapr1 libapr1-devel libpng openldap2 openldap2-client openldap2-devel openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cyrus-sasl-devel db-devel doxygen expat gcc gdbm gettext heimdal-lib libapr1 libapr1-devel libpng libtool openldap2 openldap2-devel openssl-devel perl rpm

Name:         libapr-util1
Url:          http://apr.apache.org/
License:      Other uncritical OpenSource License, Apache
Group:        Development/Libraries/Other
Autoreqprov:  on
Version:      1.2.2
Release:      1.1
Summary:      Apache Portable Runtime (APR) Library
Source:       http://www.apache.org/dist/apr/apr-util-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define apuver 1
%define includedir %{_includedir}/apr-%{apuver}

%description
A companion library to APR, the Apache Portable Runtime.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package devel
Summary:      Apache Portable Runtime (APR) Library
Group:        Development/Libraries/Other
Requires:     libapr-util1 = %{version}
Autoreqprov:  on

%description devel
A companion library to APR, the Apache Portable Runtime.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%prep
%setup -n apr-util-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
rm -rf aclocal.m4 autom4te*.cache
autoheader
autoconf
%configure \
	--includedir=%{includedir} \
	--with-apr=/usr/bin/apr-1-config \
	--with-ldap \
	--without-gdbm
make
make check
make dox

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mv docs/dox/html html
rm -f $RPM_BUILD_ROOT/%{_libdir}/aprutil.exp

%clean
if ! test -f /.buildenv; then
	rm -rf $RPM_BUILD_ROOT
fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc CHANGES
%doc LICENSE
%doc NOTICE
%{_libdir}/libaprutil-%{apuver}.so.*

%files devel
%defattr(-,root,root)
%doc --parents html
%dir %{includedir}
%{includedir}/*.h
%{_libdir}/libaprutil-%{apuver}.a
%{_libdir}/libaprutil-%{apuver}.la
%{_libdir}/libaprutil-%{apuver}.so
%{_bindir}/apu-%{apuver}-config
%{_libdir}/pkgconfig/apr-util-%{apuver}.pc

%changelog -n libapr-util1
* Wed Oct 12 2005 - poeml@suse.de
- update to 1.2.2
* Thu Sep 29 2005 - poeml@suse.de
- update to 1.2.1
- remove -DLDAP_DEPRECATED: all CFLAGS are derived from apr-config
* Mon Sep 26 2005 - ro@suse.de
- added LDAP_DEPRECATED to CFLAGS
* Thu Mar 24 2005 - poeml@suse.de
- update to 1.1.2
* Fri Feb 25 2005 - poeml@suse.de
- package created (1.1.0)
